This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839524 - SAM cli command displays errors
SAM cli command displays errors
Status: VERIFIED
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
unspecified Severity medium
: rc
: 1.2
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On: 864654
Blocks: 840859
  Show dependency treegraph
 
Reported: 2012-07-12 04:21 EDT by Tazim Kolhar
Modified: 2016-04-25 21:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840859 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-07-12 04:21:29 EDT
Description of problem:
SAM packages installed on fedora-16
The WEBUI is visible . But, the cli command fails

Version-Release number of selected component (if applicable):
[root@nec-em15 x86_64]# cat /etc/issue
Fedora release 16 (Verne)
Kernel \r on an \m (\l)


[root@nec-em15 x86_64]# rpm -qa | grep katello
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-0.2.42-1.git.26.3d87775.fc16.noarch
katello-selinux-0.2.6-1.git.0.c9816da.fc16.noarch
katello-cli-headpin-0.1.19-1.git.0.9520f16.fc16.noarch
katello-headpin-0.2.21-1.git.0.da563b9.fc16.noarch
katello-certs-tools-1.1.6-1.git.0.4878f30.fc16.noarch
katello-configure-0.2.29-1.git.0.7330d57.fc16.noarch
katello-common-0.2.44-1.git.73.3737e93.fc16.noarch
katello-headpin-all-0.2.21-1.git.0.da563b9.fc16.noarch
katello-glue-candlepin-0.2.44-1.git.73.3737e93.fc16.noarch


How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=sam

Steps to Reproduce:
1.headpin -u admin -p admin --help
2.The WEBUI can be accessed : admin/admin
  https://nec-em15.rhts.eng.bos.redhat.com/sam

  
Actual results:
the below command fails.

[root@nec-em15 x86_64]# headpin -u admin -p admin --help
  Traceback (most recent call last):
  File "/usr/bin/headpin", line 141, in <module>
    setup_admin(admin)
  File "/usr/bin/headpin", line 50, in setup_admin
    akey_cmd.add_action('create', activation_key.Create())
  AttributeError: 'ActivationKey' object has no attribute 'add_action'

Expected results:
the above cli command should display appropriate help for
all the supported commands



Additional info:
Comment 1 Adam Price 2012-07-20 11:46:50 EDT
had to modify methods in headpin/katello-cli-headpin/bin/headpin. The parent Command class no longer has an add_action method. changed it to add_command.
Comment 2 Adam Price 2012-07-24 09:58:56 EDT
pull-request has been merged

https://github.com/Katello/katello/commit/b8ff8388ca8e8fdf05088667bd8f020584e98aff
Comment 3 Og Maciel 2012-10-09 17:22:05 EDT
Blocked by BZ #864654
Comment 4 Og Maciel 2012-10-11 11:52:06 EDT
# headpin -u admin -p admin --help
Usage:  headpin <options> <command>
Supported Commands:
	activation_key activation key specific actions in the katello server
	client         client specific actions in the katello server
	environment    environment specific actions in the katello server
	org            organization specific actions in the katello server
	permission     permission specific actions in the katello server
	ping           get the status of the katello server
	product        product specific actions in the katello server
	provider       provider specific actions in the katello server
	shell          run the cli as a shell
	system         system specific actions in the katello server
	user           user specific actions in the katello server
	user_role      user role specific actions in the katello server
	version        get the version of the katello server

Options:
  -h, --help            show this help message and exit
  -v, --version         prints version information
  -d, --debug           send debug information into logs

  Katello User Account Credentials:
    -u USERNAME, --username=USERNAME
                        account username
    -p PASSWORD, --password=PASSWORD
                        account password

  Katello Server Information:
    --host=HOST         katello server host name (default:
                        localhost.localdomain)
# headpin -u admin -p admin version
Headpin 1.1.15-2h.el6_3
Comment 5 Og Maciel 2012-10-11 11:52:41 EDT
Verified:

* candlepin-0.7.13-1.el6_3.noarch
* candlepin-tomcat6-0.7.13-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-1.1.11-1h.el6_3.noarch
* katello-cli-common-1.1.11-1h.el6_3.noarch
* katello-common-1.1.15-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.15-2h.el6_3.noarch
* katello-headpin-1.1.15-2h.el6_3.noarch
* katello-headpin-all-1.1.15-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch

Note You need to log in before you can comment on or make changes to this bug.